net.i2p.router

## Class Shitlist.Entry

- java.lang.Object
- - net.i2p.router.Shitlist.Entry

Enclosing class:
  Shitlist

    public static class Shitlist.Entry
    extends Object

### Field Summary

Fields
`String` `cause` why they were shitlisted
`String` `causeCode` separate code so cause can contain {0} for translation
`long` `expireOn` when it should expire, per the i2p clock
`Set<String>` `transports` what transports they were shitlisted for (String), or null for all transports

### Constructor Summary

Constructors
Constructor and Description
`Shitlist.Entry()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### expireOn

    public long expireOn

when it should expire, per the i2p clock

#### cause

    public String cause

why they were shitlisted

#### causeCode

    public String causeCode

separate code so cause can contain {0} for translation

#### transports

    public Set<String> transports

what transports they were shitlisted for (String), or null for all transports

### Constructor Detail

#### Shitlist.Entry

    public Shitlist.Entry()